View Issue Details

IDProjectCategoryView StatusLast Update
12399Bug reports[All Projects] ComfortUpdatepublic2017-06-13 11:36
ReporterEinkauf.ZITAssigned ToLouisGac 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary12399: Comfort Update cannot delete files (which ones?) and after that, no more comfort update available
DescriptionHello,

I used Comfort Update like always in the past, but then, it said, it "could not delete files, which had to be deleted by the update". But I got no list or path of files.

And after that, when I tried the Comfort Update again, it says:

Fehler:
Keine Erstellungsversion gefunden!
Es scheint, als ob Sie eine Version nutzen, die aus dem LimeSurvey GitHub Versionierungssystem stammt. Sie k├Ânnen leider kein ComfortUpdate nutzen.

So, I cannot use the Comfort Update anymore now and I don't know, if the last update was successful.

Version in the bottom right of the screen is: Version 2.65.0
Steps To ReproduceJust started Comfort Update...
TagsNo tags attached.
Complete LimeSurvey version number (& build)If it is right, it says: Version 2.65.0
I will donate to the project if issue is resolvedNo
Browsercurrent versions of IE, Firefox, Chrome
Database & DB-VersionmySQL 5.7
Operating System (Server)Windows 2012 R2 Server
Webserver software & versionIIS 8.5
PHP VersionPHP Version 7.1.1

Activities

Einkauf.ZIT

Einkauf.ZIT

2017-05-16 09:49

reporter  

hc_001.jpg (157,940 bytes)
Einkauf.ZIT

Einkauf.ZIT

2017-05-17 13:39

reporter   ~43623

Hello?
Any reaction?
LouisGac

LouisGac

2017-05-17 14:26

developer   ~43625

yes, we're trying to reproduce the bug.
Einkauf.ZIT

Einkauf.ZIT

2017-05-17 15:07

reporter   ~43626

Thank you
LouisGac

LouisGac

2017-05-17 18:12

developer   ~43629

ok we can't reproduce the bug, I tried many times. I've updated the code so if any file can't be delete, its name will be indicated.
I'm going to create a specific patch to fix your installation.
Einkauf.ZIT

Einkauf.ZIT

2017-05-18 09:17

reporter   ~43637

ok, thank you
Einkauf.ZIT

Einkauf.ZIT

2017-05-29 11:52

reporter   ~43734

Any news?
LouisGac

LouisGac

2017-06-02 11:25

developer   ~43793

Hi, sorry for the late answer, I was creating a new functionality in the comfortUpdate server so any of colleague can create such patch to help clients.
Could you please just confirm me that your build number is: 160620

Best regard
Einkauf.ZIT

Einkauf.ZIT

2017-06-02 12:54

reporter   ~43794

Hello,

in which file should I check the build number?

Kind regards
LouisGac

LouisGac

2017-06-02 13:12

developer   ~43795

it should be shown in the right bottom corner:

LimeSurvey
Version 2.6x.x+160620
Einkauf.ZIT

Einkauf.ZIT

2017-06-02 14:28

reporter   ~43797

The only thing, what I see in the right bottom corner is:

LimeSurvey
Version 2.65.0
LouisGac

LouisGac

2017-06-02 14:31

developer   ~43798

ok so please have a look inside the file:
application/config/version.php

you'll find a field called "buildnumber":
https://github.com/LimeSurvey/LimeSurvey/blob/master/application/config/version.php#L17


Bu until now, I'd say it seems that you're using a modified version of LimeSurvey, or that you did a manual update at some point. Can you confirm that?
Einkauf.ZIT

Einkauf.ZIT

2017-06-02 14:39

reporter   ~43799

No modified version or manual updated version, all done with ComfortUpdate until the issue successfully.

hc_001-2.jpg (141,743 bytes)
LouisGac

LouisGac

2017-06-02 14:50

developer   ~43800

by cross-checking with our database information, I can confirm you updated to 170502.
it seems that the deletion problem you had (that has been fixed in last release) blocked the version modification (which is the very last step of the update process)

so in version.php just replace:
 $config['buildnumber'] = '';

by:
 $config['buildnumber'] = 170502;

(no quotes around 170502)

and everything will work fine again.
Einkauf.ZIT

Einkauf.ZIT

2017-06-02 14:53

reporter   ~43801

Hello,

thank you, I could use the comfortupdate right now and I have now in the right bottom corner:
LimeSurvey
Version 2.65.1+170522

Thank you!

Kind regards,

Klaus
LouisGac

LouisGac

2017-06-02 15:14

developer   ~43802

Thank you for your patience. Knowing that we fixed the deletion process thank to your report, our manager will come to you next week to offer you some free month on your update key.
Best regard,

Louis Gac
c_schmitz

c_schmitz

2017-06-13 11:35

administrator   ~43886

I extended your key by 3 more months. Thank you - again.
Einkauf.ZIT

Einkauf.ZIT

2017-06-13 11:36

reporter   ~43887

Hello,

great, thank you very much!

Issue History

Date Modified Username Field Change
2017-05-16 09:49 Einkauf.ZIT New Issue
2017-05-16 09:49 Einkauf.ZIT Status new => assigned
2017-05-16 09:49 Einkauf.ZIT Assigned To => LouisGac
2017-05-16 09:49 Einkauf.ZIT File Added: hc_001.jpg
2017-05-17 13:39 Einkauf.ZIT Note Added: 43623
2017-05-17 14:26 LouisGac Note Added: 43625
2017-05-17 15:07 Einkauf.ZIT Note Added: 43626
2017-05-17 18:12 LouisGac Note Added: 43629
2017-05-18 09:17 Einkauf.ZIT Note Added: 43637
2017-05-29 11:52 Einkauf.ZIT Note Added: 43734
2017-06-02 11:25 LouisGac Note Added: 43793
2017-06-02 12:54 Einkauf.ZIT Note Added: 43794
2017-06-02 13:12 LouisGac Note Added: 43795
2017-06-02 14:28 Einkauf.ZIT Note Added: 43797
2017-06-02 14:31 LouisGac Note Added: 43798
2017-06-02 14:39 Einkauf.ZIT File Added: hc_001-2.jpg
2017-06-02 14:39 Einkauf.ZIT Note Added: 43799
2017-06-02 14:50 LouisGac Note Added: 43800
2017-06-02 14:53 Einkauf.ZIT Note Added: 43801
2017-06-02 15:14 LouisGac Note Added: 43802
2017-06-13 11:35 c_schmitz Status assigned => closed
2017-06-13 11:35 c_schmitz Resolution open => fixed
2017-06-13 11:35 c_schmitz Note Added: 43886
2017-06-13 11:36 Einkauf.ZIT Note Added: 43887